# Class Power#setPowerOnDelay

Power

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#setPowerOnDelay(successCallback, errorCallback, options) Sets PowerOnDelay

## Class Detail

Power#setPowerOnDelay(successCallback, errorCallback, options)
Sets PowerOnDelay

    // Javascript code
    function setPowerOnDelay () {
    		var options = {};
    		options.delayTime = 20;
    		function successCb(cbObject) {
    			console.log("sucess");
    			// Do something
    		}
    		function failureCb(cbObject) {
    			var errorCode = cbObject.errorCode;
    			var errorText = cbObject.errorText;
    			console.log ("Error Code [" + errorCode + "]: " + errorText);
    			}
    		var power = new Power();
    		power.setPowerOnDelay(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  delayTime | Number | Delay Time (0 ~ 250) | required

Since:
  1.4
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Power.getPowerOnDelay()